import { ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { TextField } from '@genesislcap/foundation-ui';
import { FoundationElement } from '@microsoft/fast-foundation';
interface FuiCellRendererParams extends ICellRendererParams {
    accessor?: string;
    onChange?: (value: string, params: FuiCellRendererParams) => void;
}
/**
 * The AG Text Field Renderer element.
 * @public
 * @tagname %%prefix%%-grid-text-field-renderer

 */
export declare class AgTextFieldRenderer extends FoundationElement implements ICellRendererComp {
    textField: TextField;
    textValue: string;
    params: FuiCellRendererParams;
    init(params: FuiCellRendererParams): void;
    getGui(): HTMLElement;
    destroy(): void;
    refresh(params: FuiCellRendererParams): boolean;
    /**
     * On text change handler
     * @param e - CustomEvent
     */
    textChanged: (e: any) => void;
}
/**
 * The AG Text Field Renderer Styles.
 * @public
 */
export declare const textFieldRendererStyles: import("@microsoft/fast-element").ElementStyles;
/**
 * Get a Design System prefixed Text Field template.
 * @param designSystem - The design system prefix to use. Defaults to 'foundation'.
 * @returns A Text Field component template prefixed with the correct design system.
 * @public
 */
export declare const getTextFieldRendererTemplate: (designSystem?: string) => import("@microsoft/fast-element").ViewTemplate<AgTextFieldRenderer, any>;
/**
 * A function that returns a Foundation Text Field Renderer registration for configuring the component with a DesignSystem.
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-grid-pro-text-field-renderer\>
 */
export declare const foundationAgTextFieldRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<AgTextFieldRenderer, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<AgTextFieldRenderer, any>;
}, typeof AgTextFieldRenderer>;
export {};
//# sourceMappingURL=text-field.renderer.d.ts.map